Subject: Re: [PATCH v1 0/6] TLS read_sock performance scalability

From: Jakub Kicinski <[email-masked]>
Date: Mon, 9 Mar 2026 20:14:47 -0700

On Thu,  5 Mar 2026 16:13:56 -0500 Chuck Lever wrote:
> I'd like to encourage in-kernel kTLS consumers (i.e., NFS and
> NVMe/TCP) to coalesce on the use of read_sock. When I suggested
> this to Hannes, he reported a number of nagging performance
> scalability issues with read_sock. This series is an attempt to
> run these issues down and get them fixed before we convert the
> above sock_recvmsg consumers over to read_sock.

This series seems to be lacking polish:
 - every patch which complicates the codebase should come with clear
   characterization of the perf win
 - increasing duplication / copy paste between recv and read sock paths
 - wouldn't the data_ready suppression equally apply to the recvmsg
   path?